Subject: Re: bug#9079: integer overflow etc. issues (e.g., image crashes Emacs)

From: Leo <[email-masked]>
Date: Thu, 14 Jul 2011 20:54:48 +0800

On 2011-07-14 15:55 +0800, Paul Eggert wrote:
> Here's an example bug.  Take the attached file 46341x46341.png.gz,
> uncompress it with 'gunzip', start up Emacs under X Windows, execute
> (setq max-image-size 50000), and then visit the file 46341x46341.png.
> If you're lucky Emacs will thrash around for quite some time and then
> dump core.  If you're unlucky Emacs's internal data structures will be
> silently corrupted.

A long time ago I found that emacs-w3m tend to crash emacs when loading
images. So I have the following in my setup.

;;; Don't open any images in w3m; it causes crashes. This function was
;;; originally defined in w3m-ems.
(defalias 'w3m-image-type-available-p 'ignore)

Leo